Bug 1076203 - [abrt] vim-enhanced: vim killed by SIGSEGV
Summary: [abrt] vim-enhanced: vim killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9983bcd3099cf76e7d12d70fb2e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-13 18:54 UTC by Dr. David Alan Gilbert
Modified: 2014-09-19 10:05 UTC (History)
3 users (show)

Fixed In Version: vim-7.4.417-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-23 01:54:06 UTC


Attachments (Terms of Use)
File: backtrace (31.31 KB, text/plain)
2014-03-13 18:55 UTC, Dr. David Alan Gilbert
no flags Details
File: cgroup (172 bytes, text/plain)
2014-03-13 18:55 UTC, Dr. David Alan Gilbert
no flags Details
File: core_backtrace (8.06 KB, text/plain)
2014-03-13 18:55 UTC, Dr. David Alan Gilbert
no flags Details
File: dso_list (1.93 KB, text/plain)
2014-03-13 18:55 UTC, Dr. David Alan Gilbert
no flags Details
File: environ (3.69 KB, text/plain)
2014-03-13 18:55 UTC, Dr. David Alan Gilbert
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-13 18:55 UTC, Dr. David Alan Gilbert
no flags Details
File: maps (8.82 KB, text/plain)
2014-03-13 18:55 UTC, Dr. David Alan Gilbert
no flags Details
File: open_fds (108 bytes, text/plain)
2014-03-13 18:55 UTC, Dr. David Alan Gilbert
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2014-03-13 18:55 UTC, Dr. David Alan Gilbert
no flags Details
File: var_log_messages (192 bytes, text/plain)
2014-03-13 18:55 UTC, Dr. David Alan Gilbert
no flags Details

Description Dr. David Alan Gilbert 2014-03-13 18:54:58 UTC
Description of problem:
This was after vim reported that it was out of memory during a search/replace on a large file.

I had an ~1.5GB log file loaded, having forgotten that I'd ulimit'd everything to about 2GB and did a 

:%s/ *$//

After a while vim reported it was out of memory (something like 'error allocating memory 9036 bytes') and
appeared to be sitting at a prompt, so I hit return expecting it to quit, at which point it seg'd - so I guess
a missing check somewhere.

Version-Release number of selected component:
vim-enhanced-7.4.179-1.fc20

Additional info:
reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        vim fullrunning.log
executable:     /usr/bin/vim
kernel:         3.13.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 tv_equal at eval.c:6102
 #6 f_index at eval.c:13005
 #7 call_func at eval.c:8552
 #8 get_func_tv at eval.c:8365
 #9 eval7 at eval.c:5164
 #10 eval6 at eval.c:4816
 #11 eval4 at eval.c:4632
 #12 eval3 at eval.c:4237
 #13 eval1 at eval.c:4166
 #14 eval0 at eval.c:4048

Comment 1 Dr. David Alan Gilbert 2014-03-13 18:55:04 UTC
Created attachment 874123 [details]
File: backtrace

Comment 2 Dr. David Alan Gilbert 2014-03-13 18:55:06 UTC
Created attachment 874124 [details]
File: cgroup

Comment 3 Dr. David Alan Gilbert 2014-03-13 18:55:09 UTC
Created attachment 874125 [details]
File: core_backtrace

Comment 4 Dr. David Alan Gilbert 2014-03-13 18:55:13 UTC
Created attachment 874126 [details]
File: dso_list

Comment 5 Dr. David Alan Gilbert 2014-03-13 18:55:15 UTC
Created attachment 874127 [details]
File: environ

Comment 6 Dr. David Alan Gilbert 2014-03-13 18:55:18 UTC
Created attachment 874128 [details]
File: limits

Comment 7 Dr. David Alan Gilbert 2014-03-13 18:55:21 UTC
Created attachment 874129 [details]
File: maps

Comment 8 Dr. David Alan Gilbert 2014-03-13 18:55:23 UTC
Created attachment 874130 [details]
File: open_fds

Comment 9 Dr. David Alan Gilbert 2014-03-13 18:55:25 UTC
Created attachment 874131 [details]
File: proc_pid_status

Comment 10 Dr. David Alan Gilbert 2014-03-13 18:55:27 UTC
Created attachment 874132 [details]
File: var_log_messages

Comment 11 Fedora Update System 2014-08-13 14:58:17 UTC
vim-7.4.402-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vim-7.4.402-1.fc20

Comment 12 Fedora Update System 2014-08-13 14:58:38 UTC
vim-7.4.402-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vim-7.4.402-1.fc19

Comment 13 Fedora Update System 2014-08-16 00:28:40 UTC
Package vim-7.4.402-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vim-7.4.402-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9443/vim-7.4.402-1.fc20
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2014-08-23 01:54:06 UTC
vim-7.4.402-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-08-26 15:38:06 UTC
vim-7.4.417-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vim-7.4.417-1.fc20

Comment 16 Fedora Update System 2014-08-26 15:38:27 UTC
vim-7.4.417-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vim-7.4.417-1.fc19

Comment 17 Fedora Update System 2014-08-28 15:32:07 UTC
vim-7.4.417-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-09-19 10:05:55 UTC
vim-7.4.417-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.